Upsert AI agents as code (deprecated)
Upsert AI agents as code (deprecated)
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
force | boolean | No |
Request body
{
"agents": [
{
"downloadedAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"evaluations": [
{
"prompts": [
{
"expectedResponse": "string",
"prompt": "string"
}
],
"title": "string"
}
],
"modelConfig": {
"reasoning": true,
"modelProvider": "string",
"modelName": "string"
},
"threadRetentionHours": 0,
"enableSqlMode": true,
"enableUserContext": true,
"enableContentTools": true,
"enableSelfImprovement": true,
"enableDataAccess": true,
"tags": [
"string"
],
"instruction": "string",
"imageUrl": "string",
"description": "string",
"name": "string",
"slug": "string",
"agentVersion": 1,
"version": 0,
"contentType": "ai_agent"
}
]
}Responses
200 — Success
{
"results": {
"warnings": [
"string"
],
"deleted": [
"string"
],
"unchanged": [
"string"
],
"updated": [
"string"
],
"created": [
"string"
]
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}